## vips 8.14.1

=== meson_options.txt ===
# core options

option('deprecated', 
  type: 'boolean', 
  value: true, 
  description: 'Build deprecated components')

option('examples', 
  type: 'boolean', 
  value: true, 
  description: 'Build example programs')

option('cplusplus', 
  type: 'boolean', 
  value: true, 
  description: 'Build C++ API')

option('doxygen', 
  type: 'boolean', 
  value: false, 
  description: 'Build C++ documentation')

option('gtk_doc', 
  type: 'boolean', 
  value: false, 
  description: 'Build GTK-doc documentation')

option('modules', 
  type: 'feature', 
  value: 'auto', 
  description: 'Build dynamic modules')

option('introspection', 
  type: 'boolean', 
  value: true, 
  description: 'Build GObject introspection')

option('vapi', 
  type: 'boolean', 
  value: false, 
  description: 'Build VAPI')

# External libraries

option('cfitsio', 
  type: 'feature', 
  value: 'auto', 
  description: 'Build with cfitsio')

option('cgif', 
  type: 'feature', 
  value: 'auto', 
  description: 'Build with cgif')

option('exif', 
  type: 'feature', 
  value: 'auto', 
  description: 'Build with libexif')

option('fftw', 
  type: 'feature', 
  value: 'auto', 
  description: 'Build with fftw3')

option('fontconfig', 
  type: 'feature', 
  value: 'auto', 
  description: 'Build with fontconfig')

option('gsf', 
  type: 'feature', 
  value: 'auto', 
  description: 'Build with libgsf-1')

option('heif', 
  type: 'feature', 
  value: 'auto', 
  description: 'Build with libheif')

option('heif-module', 
  type: 'feature', 
  value: 'auto', 
  description: 'Build libheif as module')

option('imagequant',
  type: 'feature',
  value: 'auto',
  description: 'Build with imagequant')

option('jpeg',
  type: 'feature',
  value: 'auto',
  description: 'Build with jpeg')

option('jpeg-xl',
  type: 'feature',
  value: 'auto',
  description: 'Build with libjxl')

option('jpeg-xl-module',
  type: 'feature',
  value: 'auto',
  description: 'Build libjxl as module')

option('lcms',
  type: 'feature',
  value: 'auto',
  description: 'Build with lcms2')

option('magick',
  type: 'feature',
  value: 'auto',
  description: 'Build with libMagic')

option('magick-package',
  type: 'string',
  value: 'MagickCore',
  description: 'ImageMagick package to build with')

option('magick-features',
  type: 'array',
  choices: ['load', 'save'],
  value: ['load', 'save'],
  description: 'Enable libMagic load or save capabilities')

option('magick-module',
  type: 'feature',
  value: 'auto',
  description: 'Build libMagic as module')

option('matio',
  type: 'feature',
  value: 'auto',
  description: 'Build with matio')

option('nifti',
  type: 'feature',
  value: 'auto',
  description: 'Build with nifti')

option('nifti-prefix-dir',
  type: 'string',
  value: '',
  description: 'Prefix where nifticlib is installed (optional)')

option('openexr',
  type: 'feature',
  value: 'auto',
  description: 'Build with OpenEXR')

option('openjpeg',
  type: 'feature',
  value: 'auto',
  description: 'Build with libopenjp2')

option('openslide',
  type: 'feature',
  value: 'auto',
  description: 'Build with OpenSlide')

option('openslide-module',
  type: 'feature',
  value: 'auto',
  description: 'Build OpenSlide as module')

option('orc',
  type: 'feature',
  value: 'auto',
  description: 'Build with orc-0.4')

option('pangocairo',
  type: 'feature',
  value: 'auto',
  description: 'Build with pangocairo')

option('pdfium',
  type: 'feature',
  value: 'auto',
  description: 'Build with pdfium')

option('png',
  type: 'feature',
  value: 'auto',
  description: 'Build with png')

option('poppler',
  type: 'feature',
  value: 'auto',
  description: 'Build with poppler')

option('poppler-module',
  type: 'feature',
  value: 'auto',
  description: 'Build poppler as module')

option('quantizr',
  type: 'feature',
  value: 'auto',
  description: 'Build with quantizr')

option('rsvg',
  type: 'feature',
  value: 'auto',
  description: 'Build with rsvg')

option('spng',
  type: 'feature',
  value: 'auto',
  description: 'Build with spng')

option('tiff',
  type: 'feature',
  value: 'auto',
  description: 'Build with tiff')

option('webp',
  type: 'feature',
  value: 'auto',
  description: 'Build with libwebp')

option('zlib',
  type: 'feature',
  value: 'auto',
  description: 'Build with zlib')

# not external libraries, but we have options to disable them to reduce 
# the potential attack surface

option('nsgif', 
  type: 'boolean', 
  value: true, 
  description: 'Build with nsgif')

option('ppm', 
  type: 'boolean', 
  value: true, 
  description: 'Build with ppm')

option('analyze', 
  type: 'boolean', 
  value: true, 
  description: 'Build with analyze')

option('radiance', 
  type: 'boolean', 
  value: true, 
  description: 'Build with radiance')

=== debian/changelog ===
vips (8.14.1-3+deb12u2) bookworm-security; urgency=high

  * Non-maintainer upload.
  * Fix CVE-2025-29769: Potential heap-based buffer overflow when attempting
    to convert multiband TIFF input to HEIF output.
  * Add d/salsa-ci.yml for Salsa CI.

 -- Guilhem Moulin <guilhem@debian.org>  Wed, 30 Apr 2025 20:53:34 +0200

vips (8.14.1-3+deb12u1) bookworm; urgency=medium

  * Backport upstream security fix for CVE-2023-40032: svgload: fix
    null-pointer dereference.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 14 Nov 2023 16:05:39 +0100

vips (8.14.1-3) unstable; urgency=medium

  * Double self-testing timeout on mips64el and mipsel architectures.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 13 Feb 2023 10:48:58 +0100

vips (8.14.1-2) unstable; urgency=medium

  * Backport upstream fixes:
    - dedupe FITS header write,
    - fix target pnm write.
  * Build dependency on libgif-dev is not needed anymore.
  * Suggest only nip2 on libvips42 and libvips-tools.
  * Update Standards-Version to 4.6.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 12 Feb 2023 08:52:21 +0100

vips (8.14.1-1) unstable; urgency=medium

  * New upstream release.
  * Build with JPEG XL support.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 17 Jan 2023 07:01:01 +0100

vips (8.13.3-2) unstable; urgency=medium

  * Adjust build dependency to libfftw3-dev (closes: #1025317).
  * Update Standards-Version to 4.6.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 04 Dec 2022 20:17:39 +0100

vips (8.13.3-1) unstable; urgency=medium

  * New upstream release.
  * Use DEP5 copyright format.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 12 Nov 2022 07:01:18 +0100

vips (8.13.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 02 Oct 2022 20:10:46 +0200

vips (8.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 12 Sep 2022 19:09:22 +0200

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable all hardening options.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DESTDIR = $(CURDIR)/debian/tmp

override_dh_auto_test:
ifeq (, $(filter mips64el mipsel, $(DEB_BUILD_ARCH)))
	LD_LIBRARY_PATH=$(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)/libvips dh_auto_test
else
	LD_LIBRARY_PATH=$(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)/libvips dh_auto_test -- --timeout-multiplier=2
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		-Ddoxygen=true \
		-Dgtk_doc=true

override_dh_auto_install:
	dh_auto_install
	mv $(DESTDIR)/usr/share/doc/vips-doc/ \
		$(DESTDIR)/usr/share/doc/libvips-doc
	perl $(CURDIR)/debian/scripts/create_missing_manual_pages

%:
	dh $@ --buildsystem=meson --with gir

.PHONY: override_dh_auto_configure override_dh_auto_test \
	override_dh_auto_install

=== debian/watch ===
version=4
opts=uversionmangle=s/-([a-zA-Z]+)(\d+)$/~$1$2/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$// \
https://github.com/libvips/libvips/tags \
(?:|.*/)v?(\d\S*)@ARCHIVE_EXT@

## vips 8.14.3

=== debian/changelog ===
vips (8.14.3-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 29 Jul 2023 08:05:03 +0200

vips (8.14.2-1) unstable; urgency=medium

  * New upstream release.
  * Install examples to libvips-dev package.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 01 Apr 2023 13:16:58 +0200

## vips 8.15.1

=== meson_options.txt ===
--- 
+++ 
@@ -31,9 +31,9 @@
   description: 'Build dynamic modules')
 
 option('introspection', 
-  type: 'boolean', 
-  value: true, 
-  description: 'Build GObject introspection')
+  type: 'feature', 
+  value: 'auto', 
+  description: 'Build GObject introspection data')
 
 option('vapi', 
   type: 'boolean', 
@@ -67,10 +67,10 @@
   value: 'auto', 
   description: 'Build with fontconfig')
 
-option('gsf', 
-  type: 'feature', 
-  value: 'auto', 
-  description: 'Build with libgsf-1')
+option('archive', 
+  type: 'feature', 
+  value: 'auto', 
+  description: 'Build with libarchive')
 
 option('heif', 
   type: 'feature', 
@@ -163,6 +163,11 @@
   value: 'auto',
   description: 'Build OpenSlide as module')
 
+option('highway',
+  type: 'feature',
+  value: 'auto',
+  description: 'Build with highway')
+
 option('orc',
   type: 'feature',
   value: 'auto',

=== debian/changelog ===
vips (8.15.1-1.1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:24:27 +1100

vips (8.15.1-1.1build3) noble; urgency=medium

  * No-change rebuild against .

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Mar 2024 09:38:47 +1300

vips (8.15.1-1.1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:48:04 +0000

vips (8.15.1-1.1build1) noble; urgency=medium

  * No-change rebuild against libarchive13t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 09 Mar 2024 07:25:05 +0000

vips (8.15.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063046

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 22:40:47 +0000

vips (8.15.1-1) unstable; urgency=medium

  * New upstream release.

  [ Adrian Bunk <bunk@debian.org> ]
  * Increase the self-testing timeout further and make it unconditional
    (closes: #1057347).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 03 Jan 2024 06:58:38 +0100

vips (8.15.0-2) unstable; urgency=medium

  * Triple self-testing timeout on slower architectures.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 18 Nov 2023 21:28:00 +0100

vips (8.15.0-1) unstable; urgency=medium

  * New upstream release.
  * Double self-testing timeout on hppa, hurd-i386 and sparc64 architectures.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 12 Nov 2023 16:08:41 +0100

vips (8.15.0~rc2-2) unstable; urgency=medium

  * Backport upstream fix for i386 compilation.
  * Switch PNG load/save with libspng.
  * Compile with image pyramid save support.
  * Compile with SIMD support with highway.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 09 Nov 2023 17:14:31 +0100

vips (8.15.0~rc2-1) unstable; urgency=medium

  * New upstream release candidate version.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 07 Nov 2023 19:36:33 +0100

vips (8.14.5-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 28 Sep 2023 18:22:26 +0200

vips (8.14.4-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 19 Aug 2023 15:27:44 +0200

=== debian/control ===
Source: vips
Section: libs
Priority: optional
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), meson, pkgconf,
 libjpeg-dev, libtiff-dev, libspng-dev, libcgif-dev, librsvg2-dev,
 libjxl-dev, libpoppler-glib-dev, gobject-introspection, zlib1g-dev,
 libfftw3-dev | fftw3-dev, liblcms2-dev, libmagickcore-dev,
 libmagickwand-dev, libfreetype-dev, libpango1.0-dev, libfontconfig-dev,
 libglib2.0-dev, libice-dev, libimagequant-dev, libhwy-dev, libheif-dev,
 libmatio-dev, libexpat1-dev, libcfitsio-dev, libopenslide-dev, libwebp-dev,
 libarchive-dev, libgirepository1.0-dev, doxygen, graphviz,
 gtk-doc-tools, bc
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://libvips.github.io/libvips/

Package: libvips42t64
Replaces: libvips42
Breaks: libvips42 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Provides: ${t64:Provides}, libvips
Suggests: nip2
Description: image processing system good for very large ones
 VIPS is an image processing system designed with efficiency in mind.
 It is good with large images (ones that larger than the amount of RAM in
 your machine), and for working with colour.  It can perform many
 image manipulation tasks much faster than other packages such as
 ImageMagick and the GIMP and includes some special features such as
 creating single "mosaic" images from multiple parts.
 .
 VIPS consists of two main components: an image processing library
 with some command-line tools and a spreadsheet-like graphical user
 interface.  The graphical interface is available in the nip2 package.
 .
 This package includes runtime libraries needed to run applications
 linked with the vips library.

Package: libvips-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libvips42t64 (= ${binary:Version}), gir1.2-vips-8.0 (= ${binary:Version}),
 libjpeg-dev, libtiff-dev, zlib1g-dev, libfftw3-dev | fftw3-dev, liblcms2-dev,
 libspng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype-dev,
 libpango1.0-dev, libfontconfig-dev, libglib2.0-dev, libice-dev, gettext,
 pkgconf, libhwy-dev, libopenexr-dev, libmatio-dev, libexpat1-dev,
 libcfitsio-dev, libopenslide-dev, libwebp-dev, libarchive-dev,
 libcgif-dev, libpoppler-glib-dev, librsvg2-dev, libjxl-dev,
 libimagequant-dev, libheif-dev
Recommends: libvips-doc, libvips-tools
Suggests: nip2
Description: image processing system good for very large ones (dev)
 VIPS is an image processing system designed with efficiency in mind.
 It is good with large images (ones that larger than the amount of RAM in
 your machine), and for working with colour.  It can perform many
 image manipulation tasks much faster than other packages such as
 ImageMagick and the GIMP and includes some special features such as
 creating single "mosaic" images from multiple parts.
 .
 VIPS consists of two main components: an image processing library
 with some command-line tools and a spreadsheet-like graphical user
 interface.  The graphical interface is available in the nip2 package.
 .
 This package includes all development files needed to compile
 applications that use the vips library.

Package: libvips-tools
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, python3
Suggests: nip2, libvips-doc, libvips-dev
Description: image processing system good for very large ones (tools)
 VIPS is an image processing system designed with efficiency in mind.
 It is good with large images (ones that larger than the amount of RAM in
 your machine), and for working with colour.  It can perform many
 image manipulation tasks much faster than other packages such as
 ImageMagick and the GIMP and includes some special features such as
 creating single "mosaic" images from multiple parts.
 .
 VIPS consists of two main components: an image processing library
 with some command-line tools and a spreadsheet-like graphical user
 interface.  The graphical interface is available in the nip2 package.
 .
 This package includes several command-line utilities that make it
 possible to use some vips functionality from shell scripts or the
 command line.

Package: libvips-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: image processing system good for very large ones (doc)
 VIPS is an image processing system designed with efficiency in mind.
 It is good with large images (ones that larger than the amount of RAM in
 your machine), and for working with colour.  It can perform many
 image manipulation tasks much faster than other packages such as
 ImageMagick and the GIMP and includes some special features such as
 creating single "mosaic" images from multiple parts.
 .
 VIPS consists of two main components: an image processing library
 with some command-line tools and a spreadsheet-like graphical user
 interface.  The graphical interface is available in the nip2 package.
 .
 This package includes complete documentation for the VIPS system.  It
 includes the application programmers' guide, the library programmers'
 guide, the C++ programmers' guide, and the reference guide, as well
 as HTML versions of the program and library manual pages.

Package: gir1.2-vips-8.0
Section: introspection
Architecture: any
Depends: ${gir:Depends}, ${misc:Depends}
Description: GObject introspection data for VIPS
 VIPS is an image processing system designed with efficiency in mind.
 It is good with large images (ones that larger than the amount of RAM in
 your machine), and for working with colour.  It can perform many
 image manipulation tasks much faster than other packages such as
 ImageMagick and the GIMP and includes some special features such as
 creating single "mosaic" images from multiple parts.
 .
 VIPS consists of two main components: an image processing library
 with some command-line tools and a spreadsheet-like graphical user
 interface.  The graphical interface is available in the nip2 package.
 .
 This package provides the introspection data for VIPS library.

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,7 @@
 DESTDIR = $(CURDIR)/debian/tmp
 
 override_dh_auto_test:
-ifeq (, $(filter mips64el mipsel, $(DEB_BUILD_ARCH)))
-	LD_LIBRARY_PATH=$(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)/libvips dh_auto_test
-else
-	LD_LIBRARY_PATH=$(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)/libvips dh_auto_test -- --timeout-multiplier=2
-endif
+	LD_LIBRARY_PATH=$(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)/libvips dh_auto_test -- --timeout-multiplier=10
 
 override_dh_auto_configure:
 	dh_auto_configure -- \

## vips 8.15.2

=== debian/changelog ===
vips (8.15.2-2) unstable; urgency=medium

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Skip documentation in arch-only build (closes: #1077535).

  [ Laszlo Boszormenyi (GCS) ]
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 30 Jul 2024 06:32:54 +0000

vips (8.15.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 20 Mar 2024 20:17:35 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: libs
 Priority: optional
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), meson, pkgconf,
+ gobject-introspection-bin, gir1.2-gobject-2.0-dev,
  libjpeg-dev, libtiff-dev, libspng-dev, libcgif-dev, librsvg2-dev,
  libjxl-dev, libpoppler-glib-dev, gobject-introspection, zlib1g-dev,
  libfftw3-dev | fftw3-dev, liblcms2-dev, libmagickcore-dev,
  libmagickwand-dev, libfreetype-dev, libpango1.0-dev, libfontconfig-dev,
  libglib2.0-dev, libice-dev, libimagequant-dev, libhwy-dev, libheif-dev,
  libmatio-dev, libexpat1-dev, libcfitsio-dev, libopenslide-dev, libwebp-dev,
- libarchive-dev, libgirepository1.0-dev, doxygen, graphviz,
- gtk-doc-tools, bc
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+ libarchive-dev, libgirepository1.0-dev, graphviz, bc
+Build-Depends-Indep: doxygen, gtk-doc-tools
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://libvips.github.io/libvips/

## vips 8.16.0

=== meson_options.txt ===
--- 
+++ 
@@ -1,85 +1,85 @@
 # core options
 
-option('deprecated', 
-  type: 'boolean', 
-  value: true, 
+option('deprecated',
+  type: 'boolean',
+  value: true,
   description: 'Build deprecated components')
 
-option('examples', 
-  type: 'boolean', 
-  value: true, 
+option('examples',
+  type: 'boolean',
+  value: true,
   description: 'Build example programs')
 
-option('cplusplus', 
-  type: 'boolean', 
-  value: true, 
+option('cplusplus',
+  type: 'boolean',
+  value: true,
   description: 'Build C++ API')
 
-option('doxygen', 
-  type: 'boolean', 
-  value: false, 
+option('doxygen',
+  type: 'boolean',
+  value: false,
   description: 'Build C++ documentation')
 
-option('gtk_doc', 
-  type: 'boolean', 
-  value: false, 
+option('gtk_doc',
+  type: 'boolean',
+  value: false,
   description: 'Build GTK-doc documentation')
 
-option('modules', 
-  type: 'feature', 
-  value: 'auto', 
+option('modules',
+  type: 'feature',
+  value: 'enabled',
   description: 'Build dynamic modules')
 
-option('introspection', 
-  type: 'feature', 
-  value: 'auto', 
+option('introspection',
+  type: 'feature',
+  value: 'auto',
   description: 'Build GObject introspection data')
 
-option('vapi', 
-  type: 'boolean', 
-  value: false, 
+option('vapi',
+  type: 'boolean',
+  value: false,
   description: 'Build VAPI')
 
 # External libraries
 
-option('cfitsio', 
-  type: 'feature', 
-  value: 'auto', 
+option('cfitsio',
+  type: 'feature',
+  value: 'auto',
   description: 'Build with cfitsio')
 
-option('cgif', 
-  type: 'feature', 
-  value: 'auto', 
+option('cgif',
+  type: 'feature',
+  value: 'auto',
   description: 'Build with cgif')
 
-option('exif', 
-  type: 'feature', 
-  value: 'auto', 
+option('exif',
+  type: 'feature',
+  value: 'auto',
   description: 'Build with libexif')
 
-option('fftw', 
-  type: 'feature', 
-  value: 'auto', 
+option('fftw',
+  type: 'feature',
+  value: 'auto',
   description: 'Build with fftw3')
 
-option('fontconfig', 
-  type: 'feature', 
-  value: 'auto', 
+option('fontconfig',
+  type: 'feature',
+  value: 'auto',
   description: 'Build with fontconfig')
 
-option('archive', 
-  type: 'feature', 
-  value: 'auto', 
+option('archive',
+  type: 'feature',
+  value: 'auto',
   description: 'Build with libarchive')
 
-option('heif', 
-  type: 'feature', 
-  value: 'auto', 
+option('heif',
+  type: 'feature',
+  value: 'auto',
   description: 'Build with libheif')
 
-option('heif-module', 
-  type: 'feature', 
-  value: 'auto', 
+option('heif-module',
+  type: 'feature',
+  value: 'auto',
   description: 'Build libheif as module')
 
 option('imagequant',
@@ -228,25 +228,37 @@
   value: 'auto',
   description: 'Build with zlib')
 
-# not external libraries, but we have options to disable them to reduce 
+# not external libraries, but we have options to disable them to reduce
 # the potential attack surface
 
-option('nsgif', 
-  type: 'boolean', 
-  value: true, 
+option('nsgif',
+  type: 'boolean',
+  value: true,
   description: 'Build with nsgif')
 
-option('ppm', 
-  type: 'boolean', 
-  value: true, 
+option('ppm',
+  type: 'boolean',
+  value: true,
   description: 'Build with ppm')
 
-option('analyze', 
-  type: 'boolean', 
-  value: true, 
+option('analyze',
+  type: 'boolean',
+  value: true,
   description: 'Build with analyze')
 
-option('radiance', 
-  type: 'boolean', 
-  value: true, 
+option('radiance',
+  type: 'boolean',
+  value: true,
   description: 'Build with radiance')
+
+# fuzzing options
+
+option('fuzzing_engine',
+    type: 'combo',
+    choices : ['none', 'libfuzzer', 'oss-fuzz'],
+    value: 'none',
+    description: 'Select the fuzzing engine')
+
+option('fuzzer_ldflags',
+    type: 'string',
+    description: 'Extra LDFLAGS used during linking of fuzzing binaries')

=== debian/changelog ===
vips (8.16.0-2build1) plucky; urgency=medium

  * Rebuild against latest jpeg-xl

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 08 Feb 2025 14:44:47 -0500

vips (8.16.0-2) unstable; urgency=medium

  * Backport upstream fix for PFM byte order on big-endian machines.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 30 Nov 2024 10:36:59 +0100

vips (8.16.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 31 Oct 2024 19:00:38 +0100

vips (8.15.3-1) unstable; urgency=medium

  * New upstream release.
  * Multiarchify the typelib file.
  * Update Standards-Version to 4.7.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 17 Aug 2024 17:45:47 +0200

## vips 8.16.1

=== debian/changelog ===
vips (8.16.1-2) unstable; urgency=medium

  * Backport upstream revised fix for CVE-2025-29769: improve alpha channel
    detection in heif.
  * Remove now redundant Rules-Requires-Root value.
  * Refer online version of Free Software Foundation licence.
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 01 May 2025 08:47:18 +0200

vips (8.16.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 15 Mar 2025 16:12:33 +0100

=== debian/control ===
--- 
+++ 
@@ -12,8 +12,7 @@
  libarchive-dev, libgirepository1.0-dev, graphviz, bc
 Build-Depends-Indep: doxygen, gtk-doc-tools
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Standards-Version: 4.6.2
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://libvips.github.io/libvips/
 
 Package: libvips42t64
@@ -52,6 +51,7 @@
  libcfitsio-dev, libopenslide-dev, libwebp-dev, libarchive-dev,
  libcgif-dev, libpoppler-glib-dev, librsvg2-dev, libjxl-dev,
  libimagequant-dev, libheif-dev
+Provides: gir1.2-vips-8.0-dev (= ${binary:Version})
 Recommends: libvips-doc, libvips-tools
 Suggests: nip2
 Description: image processing system good for very large ones (dev)

=== debian/rules ===
--- 
+++ 
@@ -16,17 +16,18 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Ddoxygen=true \
-		-Dgtk_doc=true
+		-Ddoxygen=$(if $(filter libvips-doc,$(shell dh_listpackages)),true,false) \
+		-Dgtk_doc=$(if $(filter libvips-doc,$(shell dh_listpackages)),true,false)
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install-indep:
 	mv $(DESTDIR)/usr/share/doc/vips-doc/ \
 		$(DESTDIR)/usr/share/doc/libvips-doc
+
+execute_after_dh_auto_install-arch:
 	perl $(CURDIR)/debian/scripts/create_missing_manual_pages
 
 %:
 	dh $@ --buildsystem=meson --with gir
 
 .PHONY: override_dh_auto_configure override_dh_auto_test \
-	override_dh_auto_install
+	execute_after_dh_auto_install-arch execute_after_dh_auto_install-indep

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$// \
https://github.com/libvips/libvips/tags \
(?:|.*/)v?@ANY_VERSION@@ARCHIVE_EXT@

## vips 8.17.3

=== meson_options.txt ===
--- 
+++ 
@@ -15,15 +15,15 @@
   value: true,
   description: 'Build C++ API')
 
-option('doxygen',
+option('cpp-docs',
   type: 'boolean',
   value: false,
-  description: 'Build C++ documentation')
-
-option('gtk_doc',
+  description: 'Build C++ documentation (requires doxygen)')
+
+option('docs',
   type: 'boolean',
   value: false,
-  description: 'Build GTK-doc documentation')
+  description: 'Build API reference and tools documentation (requires gi-docgen)')
 
 option('modules',
   type: 'feature',

=== debian/changelog ===
vips (8.17.3-1) unstable; urgency=medium

  * New upstream release (closes: #1114678):
    - fixes CVE-2025-59933: buffer over-read in poppler-based pdfload()
      (closes: #1117049).
  * Update build dependency to gobject-introspection (closes: #1118931).
  * Remove gobject-introspection-bin build dependency (closes: #1094627).
  * Update watch file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 09 Nov 2025 09:26:58 +0100

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: libs
 Priority: optional
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), meson, pkgconf,
- gobject-introspection-bin, gir1.2-gobject-2.0-dev,
+ gir1.2-gobject-2.0-dev,
  libjpeg-dev, libtiff-dev, libspng-dev, libcgif-dev, librsvg2-dev,
- libjxl-dev, libpoppler-glib-dev, gobject-introspection, zlib1g-dev,
+ libjxl-dev, libpoppler-glib-dev, gobject-introspection (>= 1.80), zlib1g-dev,
  libfftw3-dev | fftw3-dev, liblcms2-dev, libmagickcore-dev,
  libmagickwand-dev, libfreetype-dev, libpango1.0-dev, libfontconfig-dev,
  libglib2.0-dev, libice-dev, libimagequant-dev, libhwy-dev, libheif-dev,
  libmatio-dev, libexpat1-dev, libcfitsio-dev, libopenslide-dev, libwebp-dev,
- libarchive-dev, libgirepository1.0-dev, graphviz, bc
-Build-Depends-Indep: doxygen, gtk-doc-tools
+ libarchive-dev, graphviz, bc
+Build-Depends-Indep: doxygen, gi-docgen, gtk-doc-tools
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Standards-Version: 4.7.2
 Homepage: https://libvips.github.io/libvips/

=== debian/rules ===
--- 
+++ 
@@ -16,12 +16,18 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		-Ddoxygen=$(if $(filter libvips-doc,$(shell dh_listpackages)),true,false) \
-		-Dgtk_doc=$(if $(filter libvips-doc,$(shell dh_listpackages)),true,false)
+		-Dcpp-docs=$(if $(filter libvips-doc,$(shell dh_listpackages)),true,false) \
+		-Ddocs=$(if $(filter libvips-doc,$(shell dh_listpackages)),true,false)
 
 execute_after_dh_auto_install-indep:
-	mv $(DESTDIR)/usr/share/doc/vips-doc/ \
-		$(DESTDIR)/usr/share/doc/libvips-doc
+ifneq (,$(filter libvips-doc,$(shell dh_listpackages)))
+	install -d -m0755 $(DESTDIR)/usr/share/gtk-doc/html/
+	mv $(DESTDIR)/usr/share/doc/vips/ \
+		$(DESTDIR)/usr/share/gtk-doc/html/libvips/
+	install -d -m0755 $(DESTDIR)/usr/share/doc/libvips-doc/
+	mv $(DESTDIR)/usr/share/doc/vips-cpp/html/ \
+		$(DESTDIR)/usr/share/doc/libvips-doc/
+endif
 
 execute_after_dh_auto_install-arch:
 	perl $(CURDIR)/debian/scripts/create_missing_manual_pages

=== debian/watch ===
Version: 5

Template: Github
Dversionmangle: s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//
Owner: libvips
Project: libvips
Uversionmangle: s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|a|b)\d*)$/$1~$2/

## vips 8.18.0

=== debian/changelog ===
vips (8.18.0-3) unstable; urgency=medium

  * Backport upstream security fix for CVE-2026-3283 and CVE-2026-3284:
    manipulation of the argument in vips_extract_band_build() leads to
    out-of-bounds read (closes: #1129310).
  * Backport upstream security fix for CVE-2026-3145 and CVE-2026-3146:
    vips_foreign_load_matrix_header() memory corruption (closes: #1129315).
  * Backport upstream security fix for CVE-2026-3282: manipulation of the
    argument in vips_unpremultiply_build() can lead to out-of-bounds read
    (closes: #1129311).
  * Backport upstream security fix for CVE-2026-3147: heap-based buffer
    overflow in vips_foreign_load_csv_build() (closes: #1129314).
  * Backport upstream security fix for CVE-2026-3281: manipulation of the
    argument in vips_bandrank_build() results in heap-based buffer overflow
    (closes: #1129312).
  * Mark gir1.2-vips-8.0 Multi-Arch: same.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 01 Mar 2026 07:46:08 +0100

vips (8.18.0-2) unstable; urgency=high

  * Backport upstream security fix for CVE-2026-2913: heap-based overflow
    in vips_source_read_to_memory() (closes: #1128785).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 22 Feb 2026 20:08:32 +0100

vips (8.18.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 20 Dec 2025 17:24:02 +0100

vips (8.17.3-2) unstable; urgency=medium

  * Backport upstream fixes:
    - pngsave, ppmsave: support more interpretations,
    - ppmsave: fix interpretation apply,
    - pngsave: cast to target format when colourspace is unsupported.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 30 Nov 2025 14:47:08 +0100

=== debian/control ===
--- 
+++ 
@@ -115,6 +115,7 @@
 Package: gir1.2-vips-8.0
 Section: introspection
 Architecture: any
+Multi-Arch: same
 Depends: ${gir:Depends}, ${misc:Depends}
 Description: GObject introspection data for VIPS
  VIPS is an image processing system designed with efficiency in mind.
